org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration

## Class EventStrategyProcessTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration.EventStrategyProcessTest

-     public class EventStrategyProcessTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventStrategyProcessTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldDetachEdgeWhenAdded()`
    `void` | `shouldDetachEdgeWhenRemoved()`
    `void` | `shouldDetachPropertyOfEdgeWhenChanged()`
    `void` | `shouldDetachPropertyOfEdgeWhenNew()`
    `void` | `shouldDetachPropertyOfEdgeWhenRemoved()`
    `void` | `shouldDetachPropertyOfVertexPropertyWhenChanged()`
    `void` | `shouldDetachPropertyOfVertexPropertyWhenNew()`
    `void` | `shouldDetachPropertyOfVertexPropertyWhenRemoved()`
    `void` | `shouldDetachVertexPropertyWhenChanged()`
    `void` | `shouldDetachVertexPropertyWhenNew()`
    `void` | `shouldDetachVertexPropertyWhenRemoved()`
    `void` | `shouldDetachVertexWhenAdded()`
    `void` | `shouldDetachVertexWhenRemoved()`
    `void` | `shouldReferenceEdgeWhenAdded()`
    `void` | `shouldReferenceEdgeWhenRemoved()`
    `void` | `shouldReferencePropertyOfEdgeWhenChanged()`
    `void` | `shouldReferencePropertyOfEdgeWhenNew()`
    `void` | `shouldReferencePropertyOfEdgeWhenRemoved()`
    `void` | `shouldReferencePropertyOfVertexPropertyWhenChanged()`
    `void` | `shouldReferencePropertyOfVertexPropertyWhenNew()`
    `void` | `shouldReferencePropertyOfVertexPropertyWhenRemoved()`
    `void` | `shouldReferenceVertexPropertyWhenChanged()`
    `void` | `shouldReferenceVertexPropertyWhenNew()`
    `void` | `shouldReferenceVertexPropertyWhenRemoved()`
    `void` | `shouldReferenceVertexWhenAdded()`
    `void` | `shouldReferenceVertexWhenRemoved()`
    `void` | `shouldResetAfterRollback()`
    `void` | `shouldTriggerAddEdge()`
    `void` | `shouldTriggerAddEdgeByPath()`
    `void` | `shouldTriggerAddEdgePropertyAdded()`
    `void` | `shouldTriggerAddVertex()`
    `void` | `shouldTriggerAddVertexAndPropertyUpdateWithCoalescePattern()`
    `void` | `shouldTriggerAddVertexFromStart()`
    `void` | `shouldTriggerAddVertexPropertyAdded()`
    `void` | `shouldTriggerAddVertexPropertyChanged()`
    `void` | `shouldTriggerAddVertexPropertyPropertyChanged()`
    `void` | `shouldTriggerAddVertexPropertyPropertyRemoved()`
    `void` | `shouldTriggerAddVertexWithPropertyThenPropertyAdded()`
    `void` | `shouldTriggerAfterCommit()`
    `void` | `shouldTriggerEdgePropertyChanged()`
    `void` | `shouldTriggerRemoveEdge()`
    `void` | `shouldTriggerRemoveEdgeProperty()`
    `void` | `shouldTriggerRemoveVertex()`
    `void` | `shouldTriggerRemoveVertexProperty()`
    `void` | `shouldUseActualEdgeWhenAdded()`
    `void` | `shouldUseActualEdgeWhenRemoved()`
    `void` | `shouldUseActualPropertyOfEdgeWhenChanged()`
    `void` | `shouldUseActualPropertyOfEdgeWhenNew()`
    `void` | `shouldUseActualPropertyOfEdgeWhenRemoved()`
    `void` | `shouldUseActualPropertyOfVertexPropertyWhenChanged()`
    `void` | `shouldUseActualPropertyOfVertexPropertyWhenNew()`
    `void` | `shouldUseActualPropertyOfVertexPropertyWhenRemoved()`
    `void` | `shouldUseActualVertexPropertyWhenChanged()`
    `void` | `shouldUseActualVertexPropertyWhenNew()`
    `void` | `shouldUseActualVertexPropertyWhenRemoved()`
    `void` | `shouldUseActualVertexWhenAdded()`
    `void` | `shouldUseActualVertexWhenRemoved()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventStrategyProcessTest

          public EventStrategyProcessTest()

  - ### Method Detail

    - #### shouldTriggerAddVertex

          public void shouldTriggerAddVertex()

    - #### shouldTriggerAddVertexFromStart

          public void shouldTriggerAddVertexFromStart()

    - #### shouldTriggerAddEdge

          public void shouldTriggerAddEdge()

    - #### shouldTriggerAddEdgeByPath

          public void shouldTriggerAddEdgeByPath()

    - #### shouldTriggerAddVertexPropertyAdded

          public void shouldTriggerAddVertexPropertyAdded()

    - #### shouldTriggerAddVertexWithPropertyThenPropertyAdded

          public void shouldTriggerAddVertexWithPropertyThenPropertyAdded()

    - #### shouldTriggerAddVertexPropertyChanged

          public void shouldTriggerAddVertexPropertyChanged()

    - #### shouldTriggerAddVertexPropertyPropertyChanged

          public void shouldTriggerAddVertexPropertyPropertyChanged()

    - #### shouldTriggerAddEdgePropertyAdded

          public void shouldTriggerAddEdgePropertyAdded()

    - #### shouldTriggerEdgePropertyChanged

          public void shouldTriggerEdgePropertyChanged()

    - #### shouldTriggerRemoveVertex

          public void shouldTriggerRemoveVertex()

    - #### shouldTriggerRemoveEdge

          public void shouldTriggerRemoveEdge()

    - #### shouldTriggerRemoveVertexProperty

          public void shouldTriggerRemoveVertexProperty()

    - #### shouldTriggerRemoveEdgeProperty

          public void shouldTriggerRemoveEdgeProperty()

    - #### shouldTriggerAddVertexPropertyPropertyRemoved

          public void shouldTriggerAddVertexPropertyPropertyRemoved()

    - #### shouldTriggerAfterCommit

          public void shouldTriggerAfterCommit()

    - #### shouldResetAfterRollback

          public void shouldResetAfterRollback()

    - #### shouldDetachPropertyOfVertexPropertyWhenRemoved

          public void shouldDetachPropertyOfVertexPropertyWhenRemoved()

    - #### shouldDetachPropertyOfVertexPropertyWhenChanged

          public void shouldDetachPropertyOfVertexPropertyWhenChanged()

    - #### shouldDetachPropertyOfVertexPropertyWhenNew

          public void shouldDetachPropertyOfVertexPropertyWhenNew()

    - #### shouldDetachPropertyOfEdgeWhenRemoved

          public void shouldDetachPropertyOfEdgeWhenRemoved()

    - #### shouldDetachPropertyOfEdgeWhenChanged

          public void shouldDetachPropertyOfEdgeWhenChanged()

    - #### shouldDetachPropertyOfEdgeWhenNew

          public void shouldDetachPropertyOfEdgeWhenNew()

    - #### shouldDetachEdgeWhenRemoved

          public void shouldDetachEdgeWhenRemoved()

    - #### shouldDetachEdgeWhenAdded

          public void shouldDetachEdgeWhenAdded()

    - #### shouldDetachVertexPropertyWhenRemoved

          public void shouldDetachVertexPropertyWhenRemoved()

    - #### shouldDetachVertexPropertyWhenChanged

          public void shouldDetachVertexPropertyWhenChanged()

    - #### shouldDetachVertexPropertyWhenNew

          public void shouldDetachVertexPropertyWhenNew()

    - #### shouldDetachVertexWhenRemoved

          public void shouldDetachVertexWhenRemoved()

    - #### shouldDetachVertexWhenAdded

          public void shouldDetachVertexWhenAdded()

    - #### shouldReferencePropertyOfVertexPropertyWhenRemoved

          public void shouldReferencePropertyOfVertexPropertyWhenRemoved()

    - #### shouldReferencePropertyOfVertexPropertyWhenChanged

          public void shouldReferencePropertyOfVertexPropertyWhenChanged()

    - #### shouldReferencePropertyOfVertexPropertyWhenNew

          public void shouldReferencePropertyOfVertexPropertyWhenNew()

    - #### shouldReferencePropertyOfEdgeWhenRemoved

          public void shouldReferencePropertyOfEdgeWhenRemoved()

    - #### shouldReferencePropertyOfEdgeWhenChanged

          public void shouldReferencePropertyOfEdgeWhenChanged()

    - #### shouldReferencePropertyOfEdgeWhenNew

          public void shouldReferencePropertyOfEdgeWhenNew()

    - #### shouldReferenceEdgeWhenRemoved

          public void shouldReferenceEdgeWhenRemoved()

    - #### shouldReferenceEdgeWhenAdded

          public void shouldReferenceEdgeWhenAdded()

    - #### shouldReferenceVertexPropertyWhenRemoved

          public void shouldReferenceVertexPropertyWhenRemoved()

    - #### shouldReferenceVertexPropertyWhenChanged

          public void shouldReferenceVertexPropertyWhenChanged()

    - #### shouldReferenceVertexPropertyWhenNew

          public void shouldReferenceVertexPropertyWhenNew()

    - #### shouldReferenceVertexWhenRemoved

          public void shouldReferenceVertexWhenRemoved()

    - #### shouldReferenceVertexWhenAdded

          public void shouldReferenceVertexWhenAdded()

    - #### shouldUseActualPropertyOfVertexPropertyWhenRemoved

          public void shouldUseActualPropertyOfVertexPropertyWhenRemoved()

    - #### shouldUseActualPropertyOfVertexPropertyWhenChanged

          public void shouldUseActualPropertyOfVertexPropertyWhenChanged()

    - #### shouldUseActualPropertyOfVertexPropertyWhenNew

          public void shouldUseActualPropertyOfVertexPropertyWhenNew()

    - #### shouldUseActualPropertyOfEdgeWhenRemoved

          public void shouldUseActualPropertyOfEdgeWhenRemoved()

    - #### shouldUseActualPropertyOfEdgeWhenChanged

          public void shouldUseActualPropertyOfEdgeWhenChanged()

    - #### shouldUseActualPropertyOfEdgeWhenNew

          public void shouldUseActualPropertyOfEdgeWhenNew()

    - #### shouldUseActualEdgeWhenRemoved

          public void shouldUseActualEdgeWhenRemoved()

    - #### shouldUseActualEdgeWhenAdded

          public void shouldUseActualEdgeWhenAdded()

    - #### shouldUseActualVertexPropertyWhenRemoved

          public void shouldUseActualVertexPropertyWhenRemoved()

    - #### shouldUseActualVertexPropertyWhenChanged

          public void shouldUseActualVertexPropertyWhenChanged()

    - #### shouldUseActualVertexPropertyWhenNew

          public void shouldUseActualVertexPropertyWhenNew()

    - #### shouldUseActualVertexWhenRemoved

          public void shouldUseActualVertexWhenRemoved()

    - #### shouldUseActualVertexWhenAdded

          public void shouldUseActualVertexWhenAdded()

    - #### shouldTriggerAddVertexAndPropertyUpdateWithCoalescePattern

          public void shouldTriggerAddVertexAndPropertyUpdateWithCoalescePattern()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.